--- title: "Run the Health Check" slug: "run-the-health-check-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/run-the-health-check-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Run the Health Check This URL runs the health check. ### Resource URL PUT /healthcheck ### Request Parameters URL Parameters: None Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `id` | Feature id list for which the health check should happen Values can be as below: - Single value “defaut”. Which will run health check only for the features which are selected by default - Single value “all”. Which will run health check for all the features - Single value “summary”. Which will run health check for summary features - Single value “databasechecks”. Which will run health check for database check features - Single value “connectivitychecks”. Which will run health check for connectivity check features - List of the feature id for which the health check should run | Array | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `summary` | Summary feature list | ObjectList | | `databaseChecks` | Database check feature list | ObjectList | | `connectivityChecks` | Connectivity check feature list | ObjectList | Details of per feature: | Field Name | Description | Data Type | | --- | --- | --- | | `id` | Feature id | String | | `name` | Feature name | String | | `result` | Health check run result | String | | `indicator` | Status of the check | String | | `notes` | Heath check notes | String | | `lastRun` | Health check last run time | String | | `run` | If the feature check happened | Boolean | ### Example **Request** PUT [https:///healthcheck](https://<NSM_IP>/sdkapi/%20domain/0/dxlintegration) **Payload Examples** ``` {        "id": [“all”]    } {        "id": [“default”]    } {        "id": [“summary”]    } {        "id": [“CallbackDetectorsUpdateServerConnectivity”, “NSCMConnectivity”, “BackupFilesSpaceCheck”, “CheckForSlowQueriesInDatabase”, “GetNSMVersion”, “ManagerNameCheck”]    } ``` **Response** ``` { 'connectivityChecks': [ {'lastRun': 'Tue May 17 10:26:33 IST 2016', 'indicator': 'low', 'run': True, 'name': 'Callback Detectors Update Server Connectivity', 'notes': 'Server: download.nai.com\n Port: TCP 80 \n Response time: 9690 ms', 'result': 'Pass', 'id': 'CallbackDetectorsUpdateServerConnectivity'}, ... , {'lastRun': 'Tue May 17 10:26:25 IST 2016', 'indicator': '', 'run': True, 'name': 'NSCM Connectivity', 'notes': 'NSCM is not in use with this Manager', 'result': '', 'id': 'NSCMConnectivity'} ], 'databaseChecks': [ {'lastRun': 'Tue May 17 10:26:23 IST 2016', 'indicator': '', 'run': True, 'name': 'Disk Space Used by MySQL Database Backups', 'notes': 'No backup files detected', 'result': '0 MB', 'id': 'BackupFilesSpaceCheck'}, ... , {'lastRun': 'Tue May 17 10:26:25 IST 2016', 'indicator': 'low', 'run': True, 'name': 'Slow Queries', 'notes': '', 'result': '0', 'id': 'CheckForSlowQueriesInDatabase'} ], 'summary': [ {'lastRun': 'Tue May 17 10:26:23 IST 2016', 'indicator': '', 'run': True, 'name': 'Manager Software Version', 'notes': '', 'result': '8.3.7.20.8', 'id': 'GetNSMVersion'}, ... , {'lastRun': 'Tue May 17 10:26:24 IST 2016', 'indicator': '', 'run': True, 'name': 'Manager Name', 'notes': '', 'result': 'NSM', 'id': 'ManagerNameCheck'} ] } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 3702 | Invalid id provided: |